<div class="register">
    <mat-card class="card mat-elevation-z8">
        <h2>User registration</h2>
        <mat-card-content>
            <form [formGroup]="registerForm" (ngSubmit)="saveUser()">
                <div fxLayout="row">
                    <div fxFlex="33%">
                        <mat-form-field class="form-field">
                            <input matInput color="primary" placeholder="{{NAME}}" type="text" formControlName="name">
                        </mat-form-field>
                    </div>
                    <br>
                    <div fxFlex="33%">
                        <mat-form-field class="form-field">
                            <input matInput color="primary" placeholder="{{EMAIL}}" type="email"
                                formControlName="email">
                        </mat-form-field>
                    </div>
                    <br>
                    <div fxFlex="33%">
                        <mat-form-field class="form-field">
                            <input matInput color="primary" placeholder="{{PASSWORD}}" type="password"
                                formControlName="password">
                        </mat-form-field>
                    </div>
                </div>
                <br>
                <div class="form-button">
                    <button class="mat-elevation-z5" mat-flat-button type="submit"
                        color="accent">{{REGISTER_BTN}}</button>
                    <button class="mat-elevation-z5" mat-flat-button routerLink="sign-in">{{CANCEL_BTN}}</button>
                </div>
            </form>
        </mat-card-content>
    </mat-card>
</div>